# Delete

del ` https://app.mk.io/api/v1/projects/:project_name/media/streamingPolicies/:policy_name`

Delete a Streaming Policy. If the policy does not exist, this will return a 204.

RBAC Capability Required: `ams.streamingpolicy.delete`

## Authentication

Authorization Bearer

Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Path parameters

- **project_name** string Required
- **policy_name** string Required

## Response

- **200** Streaming Policy deleted

No response body.

- **204** Nothing to delete.

No response body.

## Errors

- **400** Bad Request

- **error** object [ErrorDetail](https://docs.mediakind.com/api-reference/media-api/schemas/errordetail) Required

Pertinent information about the error

- **code** string Required
    - **detail** string Required
    - **extraDetail** map from strings to any Optional
    - **ref** string Required
    - **status** integer Required

- **401** Unauthorized

- **error** object [ErrorDetail](https://docs.mediakind.com/api-reference/media-api/schemas/errordetail) Required

Pertinent information about the error

- **403** Forbidden

- **error** object [ErrorDetail](https://docs.mediakind.com/api-reference/media-api/schemas/errordetail) Required

Pertinent information about the error

- **404** Not Found

- **error** object [ErrorDetail](https://docs.mediakind.com/api-reference/media-api/schemas/errordetail) Required

Pertinent information about the error

- **429** Too Many Requests

- **error** object [ErrorDetail](https://docs.mediakind.com/api-reference/media-api/schemas/errordetail) Required

Pertinent information about the error

- **500** Internal Server Error

- **error** object [ErrorDetail](https://docs.mediakind.com/api-reference/media-api/schemas/errordetail) Required

Pertinent information about the error
